[Forgot Password]
Login  Register Subscribe

23631

 
 

119105

 
 

98250

 
 

909

 
 

79281

 
 

109

Paid content will be excluded from the download.


Download | Alert*
OVAL

DSA-1772-1 udev -- several

ID: oval:org.secpod.oval:def:600333Date: (C)2011-05-13   (M)2017-11-27
Class: PATCHFamily: unix




Sebastian Kramer discovered two vulnerabilities in udev, the /dev and hotplug management daemon. CVE-2009-1185 udev does not check the origin of NETLINK messages, allowing local users to gain root privileges. CVE-2009-1186 udev suffers from a buffer overflow condition in path encoding, potentially allowing arbitrary code execution. For the old stable distribution , these problems have been fixed in version 0.105-4etch1. For the stable distribution , these problems have been fixed in version 0.125-7+lenny1. For the unstable distribution , these problems will be fixed soon. We recommend that you upgrade your udev package.

Platform:
Debian 5.0
Debian 4.0
Product:
udev
Reference:
DSA-1772-1
CVE-2009-1185
CVE-2009-1186
CVE    2
CVE-2009-1186
CVE-2009-1185
CPE    2
cpe:/o:debian:debian_linux:5.x
cpe:/o:debian:debian_linux:4.x

© 2013 SecPod Technologies